<?php
class Route{
	public static function start($url){
		# Обработка URL
		$url = rtrim($url, '/');
		$url = explode('/', $url);
		$controller = $url[1];
		$method = isset($url[2]) ? $url[2] : 'index';
		
		if(isset($url[3])){
			$_GET['get'] = $url[3];
		}
		
		$file = CONTROLLER.$controller.'.class.php';
		
		# Проверяем существование дочернего контроллера
		if(!file_exists($file)){
			require_once CONTROLLER.'site.class.php';
			$classController = new site();
			$classController -> notFound();
		}else{
			require_once  CONTROLLER.$controller.'.class.php';
			$classController = new $controller();
			
			# Проверяем существование метода. Если не найден, выводим Page not found
			if(method_exists($classController, $method)){
				$classController -> $method();
			}else{
				require_once CONTROLLER.'site.class.php';
				$classController = new site();
				$classController -> notFound();
			}
		}
	}
}
?>